Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.visualization.control
Class EditingPopupGraphMousePlugin

    java.lang.Object
      edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin
          edu.uci.ics.jung.visualization.control.AbstractPopupGraphMousePlugin
              edu.uci.ics.jung.visualization.control.EditingPopupGraphMousePlugin

All Implemented Interfaces:
  EventListener, GraphMousePlugin, MouseListener

public class EditingPopupGraphMousePlugin
extends AbstractPopupGraphMousePlugin

a plugin that uses popup menus to create vertices, undirected edges, and directed edges.

Author:
  Tom Nelson - RABA Technologies

Field Summary

Fields inherited from class edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin
`cursor, down, modifiers`

Constructor Summary
`EditingPopupGraphMousePlugin(SettableVertexLocationFunction vertexLocations)`

Method Summary
`protected void` | `handlePopup(MouseEvent e)`

Methods inherited from class edu.uci.ics.jung.visualization.control.AbstractPopupGraphMousePlugin
`mouseClicked, mouseEntered, mouseExited, mousePressed, mouseReleased`

Methods inherited from class edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin
`checkModifiers, getCursor, getModifiers, setCursor, setModifiers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EditingPopupGraphMousePlugin

    public EditingPopupGraphMousePlugin(SettableVertexLocationFunction vertexLocations)

Method Detail

### handlePopup

    protected void handlePopup(MouseEvent e)

  Specified by:
    `handlePopup` in class `AbstractPopupGraphMousePlugin`
  Parameters:
    `e` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD